Creates a new unavailability type

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the unavailability type

string

Required

Max length: 20

description

Long description

string

Max length: 100

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "10036dc5-99fe-411a-8da8-47cc07146112",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "sales_organization_id": "e7f61a4f-99c5-42d1-ab6a-9ab4e61c15a3",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "78d69548-8f4f-4ffd-b8da-a7d42373175c",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "04fa6983-12cf-4cb3-99eb-50151720e315",
    "db_currency_id": "b304af2d-4828-4dbb-91c2-9dd33b445bdd",
    "db_language_id": "e7e397fa-5bff-439c-8af8-c4ab809d79b0",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-02-24T16:09:11.7967198+00:00"
  },
  "modified_dateutc": "2026-02-24T16:09:11.7967198+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.